MqttToMysqlStepFlow.prototype._SaveXml_ = function(that)
{
	var Class = new ControllerServiceSetting();
	var Result_1={"Input":null}, Result_2={"Input":null};
	Class.SaveDeviceDri(Result_1);
	Class.SaveServiceXml(Result_2);
	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true)
		{
			Class = null;  delete Class;
			$(that).closest('.Row').find(".BigLoading").hide();
			var StepFlowClass = new StepFlow();
			StepFlowClass.UnLockAllUi();
			clearInterval(SetInterval);
		}
	},500);
};

MqttToMysqlStepFlow.prototype._SaveMqttToMysql_ = function(that)
{
	var Result_1={"Input":null}, Result_2={"Input":null};
	var Class_1 = new MqttModuleFirstPage();
	Class_1.SaveDataLayerAndServiceLayerVariables(Result_1);

	var Class_2 = new MysqlConnectionFirstPage();
	Class_2.SaveMysqlConnectionSetting(Result_2);

	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true)
		{
			Class_1 = null;  delete Class_1;
			Class_2 = null;  delete Class_2;
			MqttToMysqlStepFlow.prototype._SaveXml_(that);
			clearInterval(SetInterval);
		}
	},500);
};

MqttToMsSqlStepFlow.prototype._SaveXml_ = function(that)
{
	var Class = new ControllerServiceSetting();
	var Result_1={"Input":null}, Result_2={"Input":null};
	Class.SaveDeviceDri(Result_1);
	Class.SaveServiceXml(Result_2);
	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true)
		{
			Class = null;  delete Class;
			$(that).closest('.Row').find(".BigLoading").hide();
			var StepFlowClass = new StepFlow();
			StepFlowClass.UnLockAllUi();
			clearInterval(SetInterval);
		}
	},500);
};

MqttToMsSqlStepFlow.prototype._SaveMqttToMsSql_ = function(that)
{
	var Result_1={"Input":null}, Result_2={"Input":null};
	var Class_1 = new MqttModuleFirstPage();
	Class_1.SaveDataLayerAndServiceLayerVariables(Result_1);

	var Class_2 = new MysqlConnectionFirstPage();
	Class_2.SaveMysqlConnectionSetting(Result_2);

	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true)
		{
			Class_1 = null;  delete Class_1;
			Class_2 = null;  delete Class_2;
			MqttToMsSqlStepFlow.prototype._SaveXml_(that);
			clearInterval(SetInterval);
		}
	},500);
};